/*******************************************************************************
 * Copyright 2013 Francesco Cina'
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.jporm.dialect;

import com.jporm.dialect.querytemplate.Oracle10gQueryTemplate;
import com.jporm.dialect.querytemplate.QueryTemplate;

/**
 * 
 * @author Francesco Cina
 *
 * 28/giu/2011
 */
public class Oracle10gDBProfile implements DBProfile {

    private QueryTemplate queryTemplate = new Oracle10gQueryTemplate();

    @Override
    public boolean isSequenceSupport() {
        return true;
    }

    @Override
    public boolean isAutogeneratedKeySupport() {
        return false;
    }

    @Override
    public QueryTemplate getQueryTemplate() {
        return queryTemplate;
    }

}
