/*******************************************************************************
 * Copyright 2013 Francesco Cina'
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.jporm.query.save;

import com.jporm.dialect.DBProfile;
import com.jporm.factory.ObjectBuilder;

/**
 * 
 * @author Francesco Cina
 *
 * 05/giu/2011
 */
public abstract class AColumnValueGenerator  {

    private final String name;
    private String generatedColumnName = ObjectBuilder.EMPTY_STRING; 
    private final DBProfile dbProfile;

    public AColumnValueGenerator(final String name, final DBProfile dbProfile) {
        this.name = name;
        this.dbProfile = dbProfile;
    }

    public String getName() {
        return name;
    }

    public void setGeneratedColumnName(final String generatedColumnName) {
        this.generatedColumnName = generatedColumnName;
    }

    public String getGeneratedColumnName() {
        return generatedColumnName;
    }

    public abstract String insertQueryParameter(String currentValue);

    public abstract String insertColumn(String currentValue);

    public abstract boolean returnGeneratedKeys();

    public abstract boolean isAutoGenerated();

    protected final DBProfile getDbProfile() {
        return dbProfile;
    }

}
